%global srcname txZMQ
%global pkgname txzmq

Summary:        ZeroMQ bindings for Twisted
Name:           python-%{pkgname}
Version:        1.0.1
Release:        5%{?dist}
License:        MPLv2.0
URL:            https://github.com/smira/txZMQ
Source0:        %{url}/archive/refs/tags/1.0.1.tar.gz

BuildArch:      noarch


%description
txZMQ allows to integrate easily ØMQ sockets into
Twisted event loop (reactor).

%package -n python3-%{pkgname}
Summary:        ZeroMQ bindings for Twisted
BuildRequires:  python3-devel python3-setuptools python3-twisted python3-pyzmq


%description -n python3-%{pkgname}
txZMQ allows to integrate easily ØMQ sockets into 
Twisted event loop (reactor).

%prep
%autosetup -n %{srcname}-%{version}
rm -rf %{srcname}.egg-info
# https://github.com/smira/txZMQ/issues/91
sed -i 's|1.0.0|1.0.1|g' VERSION 

%build
%py3_build


%install
%py3_install


%check
PYTHONPATH=%{buildroot}%{python3_sitelib} trial-3 txzmq


%files -n python3-%{pkgname}
%license LICENSE.txt
%doc README.rst
%{python3_sitelib}/%{pkgname}
%{python3_sitelib}/%{srcname}-%{version}-py%{python3_version}.egg-info


%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.1-5
- Rebuilt for loongarch release

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.1-4
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.1-3
- Rebuilt for OpenCloudOS Stream 23.09

* Tue Aug 15 2023 cunshunxia <cunshunxia@tencent.com> - 1.0.1-2
- Rebuilt for python-zmq 25.1.1

* Sat May 06 2023 Miaojun Dong <zoedong@tencent.com> - 1.0.1-1
- initial build
